//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "ModemProgress.h"
#include "modem.h"
//---------------------------------------------------------------------------
#pragma link "Animate"
#pragma resource "*.dfm"
TModemProgressDlg *ModemProgressDlg;
//---------------------------------------------------------------------------
__fastcall TModemProgressDlg::TModemProgressDlg(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::DetailsBtnClick(TObject *Sender)
{
	if(Height == 108)
	{
		Height = 260;
		DetailsBtn->Caption = "<< &Details";
		return;
	}
	Height = 108;
	DetailsBtn->Caption = "&Details >>";
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::SetStatus(DWORD stat, String s)
{
	ModemStatusLabel->Caption = s;
	StatusList->Items->Add(s);
	StatusList->ItemIndex = StatusList->Items->Count - 1;
	if(stat == (DWORD)msConnected)
	{
		ModalResult = mrOk;
	}
	if(stat == (DWORD)msDisconnected ||	stat == (DWORD)msBusy)
		ModalResult = mrCancel;
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::CancelBtnClick(TObject *Sender)
{
	ptrModem->Hangup();
	Close();
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::FormCreate(TObject *Sender)
{
	Height = 108;
	DetailsBtn->Caption = "&Details >>";
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::FormShow(TObject *Sender)
{
	ModemStatusLabel->Caption = "Idle";
	StatusList->Items->Clear();
	if(ptrModem->Dial(ptrModem->TelNo, false) == false)
	{
		ModalResult = mrCancel;
		Close();
	}
	SetStatus(0,String("Connecting to device: ") +
		ptrModem->ModemList->Strings[ptrModem->Device]);
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::FormDeactivate(TObject *Sender)
{
//	if(Visible == true) SetFocus();
}
//---------------------------------------------------------------------------
