//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "ModemProgress.h"
#include "modem.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
__fastcall TModemProgressDlg::TModemProgressDlg(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::ModemDetailsBtnClick(TObject *Sender)
{
	if(ShowDetails == false)
	{
		Height = 260;
		ModemDetailsBtn->Caption = "<< &Details";
		ShowDetails = true;
		return;
	}
	Height = 108;
	ModemDetailsBtn->Caption = "&Details >>";
	ShowDetails = false;
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::SetStatus(DWORD stat, String s)
{
	ModemStatusLabel->Caption = s;
	ModemStatusList->Items->Add(s);
	ModemStatusList->ItemIndex = ModemStatusList->Items->Count - 1;
	if(stat == (DWORD)msConnected)
	{
		ptrModem->DialResult = mSuccess;
		ModalResult = mrOk;
	}
	if(stat == (DWORD)msDisconnected || stat == (DWORD)msError)
	{
		ptrModem->DialResult = mError;
		ModalResult = mrOk;
	}
	if(stat == (DWORD)msBusy)
	{
		ptrModem->DialResult = mBusy;
		ModalResult = mrOk;
	}
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::ModemCancelBtnClick(TObject *Sender)
{
	ptrModem->Hangup();
	ptrModem->DialResult = mCancelled;
	ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::FormShow(TObject *Sender)
{
HICON hIcon;

	if(ShowDetails == true)
	{
		Height = 260;
		ModemDetailsBtn->Caption = "<< &Details";
	}
	else
	{
		Height = 108;
		ModemDetailsBtn->Caption = "&Details >>";
	}
	ModemStatusLabel->Caption = "Idle";
	ModemStatusList->Items->Clear();
	ptrModem->UseDialDialog = false;
	if(ptrModem->Dial(ptrModem->TelNo) == mError)
	{
		ptrModem->DialResult = mError;
		ModalResult = mrCancel;
		Close();
	}
// display modem provider's icon
	if(!lineGetIcon(ptrModem->Device, NULL, (LPHICON)&hIcon))
	{
		ModemImage->Canvas->Brush->Color = Color;
		DrawIconEx(	ModemImage->Canvas->Handle, 0, 0, hIcon, 0, 0, 0,
					ModemImage->Canvas->Brush->Handle, DI_DEFAULTSIZE | DI_NORMAL);
	}
}
//---------------------------------------------------------------------------
void __fastcall TModemProgressDlg::FormHide(TObject *Sender)
{
	ptrModem->UseDialDialog = true;
}
//---------------------------------------------------------------------------
