//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "ModemSelect.h"
#include "modem.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
__fastcall TModemSelectDlg::TModemSelectDlg(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TModemSelectDlg::FormShow(TObject *Sender)
{
	ModemApplyBtn->Enabled =
	ModemOKBtn->Enabled = false;

	ModemList->ItemIndex = ptrModem->FillDeviceList(ModemList->Items);
	if(ModemList->Items->Count == 0)
	{
		Application->MessageBox("There are no modems installed on you computer. Please use"
								" Control Panel to add a modem to your computer first.",
								"No Modem Installed", MB_ICONEXCLAMATION);
		ModalResult = mrCancel;
	}
	ptrModem->DrawDeviceIcon(DCImage, Color);
}
//---------------------------------------------------------------------------
void __fastcall TModemSelectDlg::ModemListClick(TObject *Sender)
{
	DeviceIndex = ModemList->ItemIndex;
	ModemApplyBtn->Enabled =
	ModemOKBtn->Enabled = true;
	ptrModem->DrawDeviceIcon(DCImage, Color, ModemList->ItemIndex);
}
//---------------------------------------------------------------------------
void __fastcall TModemSelectDlg::ModemOKBtnClick(TObject *Sender)
{
	ptrModem->SetDevice(DeviceIndex);
	ModemApplyBtn->Enabled =
	ModemOKBtn->Enabled = false;
	Close();
}
//---------------------------------------------------------------------------
void __fastcall TModemSelectDlg::ModemPropertiesBtnClick(TObject *Sender)
{
	ptrModem->SetDevice(DeviceIndex);
	ModemApplyBtn->Enabled =
	ModemOKBtn->Enabled = false;
	ptrModem->ShowConfigureDialog();
}
//---------------------------------------------------------------------------
void __fastcall TModemSelectDlg::ModemApplyBtnClick(TObject *Sender)
{
	ptrModem->SetDevice(DeviceIndex);
	ModemApplyBtn->Enabled =
	ModemOKBtn->Enabled = false;
}
//---------------------------------------------------------------------------
void __fastcall TModemSelectDlg::ModemDialPropertiesBtnClick(TObject *Sender)
{
	ptrModem->SetDevice(DeviceIndex);
	ModemApplyBtn->Enabled =
	ModemOKBtn->Enabled = false;
	ptrModem->ShowDialDialog();
}
//---------------------------------------------------------------------------