//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "DialOptions.h"
#include "modem.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TDialOptionsDlg *DialOptionsDlg;
//---------------------------------------------------------------------------
__fastcall TDialOptionsDlg::TDialOptionsDlg(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TDialOptionsDlg::FormShow(TObject *Sender)
{
	Screen->Cursor = crHourGlass;
	DCCountryCombo->ItemIndex = ptrModem->FillCountryList(DCCountryCombo->Items);
	DCLocationCombo->ItemIndex = ptrModem->FillLocationList(DCLocationCombo->Items);
	DCAreaCode->Text = ptrModem->AreaCode;
	DCPhoneNo->Text = ptrModem->PhoneNo;
	cbUseCountryCode->Checked = ptrModem->UseDialProp;
	SetCountryEnable();
	ShowNumber();
	Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------
void __fastcall TDialOptionsDlg::DCLocationPropertiesClick(TObject *Sender)
{
	ptrModem->ShowDialDialog();
	Screen->Cursor = crHourGlass;
	DCLocationCombo->ItemIndex = ptrModem->FillLocationList(DCLocationCombo->Items);
	ShowNumber();
	Screen->Cursor = crDefault;
}
//---------------------------------------------------------------------------
void __fastcall TDialOptionsDlg::cbUseCountryCodeClick(TObject *Sender)
{
	SetCountryEnable();
	ShowNumber();
}
//---------------------------------------------------------------------------
void __fastcall TDialOptionsDlg::SetCountryEnable()
{
	DCCountryCombo->Enabled =
	DCAreaCode->Enabled = cbUseCountryCode->Checked;
	if(cbUseCountryCode->Checked == true)
	{
		DCCountryCombo->Color = clWindow;
		DCAreaCode->Color = clWindow;
	}
	else
	{
		DCCountryCombo->Color = clSilver;
		DCAreaCode->Color = clSilver;
	}
}
//---------------------------------------------------------------------------
void __fastcall TDialOptionsDlg::ShowNumber()
{
	DCNumberLabel->Caption = ptrModem->GetDiallableNumber(
		(DWORD)DCCountryCombo->Items->Objects[DCCountryCombo->ItemIndex],
		DCAreaCode->Text, DCPhoneNo->Text);
}
//---------------------------------------------------------------------------
void __fastcall TDialOptionsDlg::DCCountryComboChange(TObject *Sender)
{
	ShowNumber();
}
//---------------------------------------------------------------------------
void __fastcall TDialOptionsDlg::DCOkBtnClick(TObject *Sender)
{
	ptrModem->Country = (DWORD)DCCountryCombo->Items->Objects[DCCountryCombo->ItemIndex];
	ptrModem->Location = (DWORD)DCLocationCombo->Items->Objects[DCLocationCombo->ItemIndex];
	ptrModem->AreaCode = DCAreaCode->Text;
	ptrModem->PhoneNo = DCPhoneNo->Text;
	ptrModem->UseDialProp = cbUseCountryCode->Checked;
}
//---------------------------------------------------------------------------
